module.exports = mongoose => {    
    var schema = mongoose.Schema(
        {
          driver_id: String,
          driver_name: String,
          route_id: String,
          route_date: String,
          route_name: String,
          status: String,
          create_by: String,
          create_date: Date,
          site: Number
        },
        { collection: 'signature_request', timestamps: true }
      );
    schema.method("toJSON", function() {
        const { __v, _id, ...object } = this.toObject();
        object.id = _id;
        return object;
      });
    const SignatureRequest = mongoose.model("signature_request", schema);
    return SignatureRequest;
  };